// Copyright (C) 2014 Domenic Denicola. All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/*---
description: Array.prototype.includes should use the SameValueZero algorithm to compare
author: Domenic Denicola
---*/

if ([1, 2, 3].includes(2) !== true) {
    $ERROR('Expected [1, 2, 3] to contain 2');
}

if ([1, 2, 3].includes(4) !== false) {
    $ERROR('Expected [1, 2, 3] to not contain 4');
}

if ([1, 2, NaN].includes(NaN) !== true) {
    $ERROR('Expected [1, 2, NaN] to contain NaN');
}

if ([1, 2, -0].includes(+0) !== true) {
    $ERROR('Expected [1, 2, -0] to contain +0');
}

if ([1, 2, -0].includes(-0) !== true) {
    $ERROR('Expected [1, 2, -0] to contain -0');
}

if ([1, 2, +0].includes(-0) !== true) {
    $ERROR('Expected [1, 2, +0] to contain -0');
}

if ([1, 2, +0].includes(+0) !== true) {
    $ERROR('Expected [1, 2, +0] to contain +0');
}

if ([1, 2, -Infinity].includes(+Infinity) !== false) {
    $ERROR('Expected [1, 2, -Infinity] to not contain +Infinity');
}

if ([1, 2, -Infinity].includes(-Infinity) !== true) {
    $ERROR('Expected [1, 2, -Infinity] to contain -Infinity');
}

if ([1, 2, +Infinity].includes(-Infinity) !== false) {
    $ERROR('Expected [1, 2, +Infinity] to not contain -Infinity');
}

if ([1, 2, +Infinity].includes(+Infinity) !== true) {
    $ERROR('Expected [1, 2, +Infinity] to contain +Infinity');
}
